import {
  defineComponent,
  computed,
  PropType,
} from 'vue';
import {
  SbButton,
  getSelection,
  getRangeFromSelection,
} from '@schlechtenburg/core';

export default defineComponent({
  props: {
    isActive: {
      type: (null as unknown) as PropType<HTMLElement|null>,
      default: null,
    },

    eventChange: {
      type: (null as unknown) as PropType<Selection|null>,
      default: null,
    },

    value: {
      type: (null as unknown) as PropType<Range|null>,
      default: null,
    },
  },

  setup(props) {
    return () => <SbButton
      type="button"
      class={{ 'sb-button_active': isActive.value }}
      onClick={() => {
      }}
    >i</SbButton>;
  },
});
